## ufo2ft 1.1.0

=== requirements.txt ===
fonttools==3.20.1
ufoLib==2.1.1
defcon==0.3.5
cu2qu==1.3.0
compreffor==0.4.6
booleanOperations==0.7.1

## ufo2ft 0.6.2

=== debian/changelog ===
ufo2ft (0.6.2-1) unstable; urgency=medium

  * Initial release. Closes: #868006

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Nov 2017 21:16:30 -0500

=== debian/control ===
Source: ufo2ft
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-pytest <!nocheck>,
               python3-compreffor (>= 0.4.5),
               python3-cu2qu (>= 1.2.0),
               python3-defcon (>= 0.3.4),
               python3-fonttools (>= 3.15.0),
               python3-setuptools,
               python3-ufolib (>= 2.1.0)
Standards-Version: 4.1.1
Homepage: https://github.com/googlei18n/ufo2ft/releases
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/ufo2ft.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/ufo2ft.git

Package: python3-ufo2ft
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Bridge from UFOs to fonttools objects
 python3-ufo2ft converts fonts from UFO, a common font source format, to
 fonttools Python objects, which can subsequently saved as OTF or TTF
 binaries.

## ufo2ft 1.1.0

=== debian/changelog ===
ufo2ft (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0.
  * debian/control:
    - Update dependencies.
    - Change Vcs fields to salsa.debian.org.
    - Bump policy version to 4.1.3.

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 17 Jan 2018 23:37:10 +0800

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
+               python3-setuptools,
                python3-pytest <!nocheck>,
-               python3-compreffor (>= 0.4.5),
-               python3-cu2qu (>= 1.2.0),
-               python3-defcon (>= 0.3.4),
-               python3-fonttools (>= 3.15.0),
-               python3-setuptools,
-               python3-ufolib (>= 2.1.0)
-Standards-Version: 4.1.1
+               python3-fonttools (>= 3.20.1),
+               python3-ufolib (>= 2.1.1),
+               python3-defcon (>= 0.3.5),
+               python3-cu2qu (>= 1.3.0),
+               python3-compreffor (>= 0.4.6),
+               python3-booleanoperations (>= 0.7.1)
+Standards-Version: 4.1.3
 Homepage: https://github.com/googlei18n/ufo2ft/releases
-Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/ufo2ft.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/ufo2ft.git
+Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft
 
 Package: python3-ufo2ft
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ufo2ft

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/googlei18n/ufo2ft/releases \
	.*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## ufo2ft 2.1.0

=== debian/changelog ===
ufo2ft (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0 (Closes: #908538)
  * debian/control:
    - Update dependencies
    - Bump policy version to 4.1.5
    - Update mailing list address
    - Change debian helper compat to 11
  * debian/rules:
    - Add nocheck to skip tests

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Tue, 11 Sep 2018 13:20:08 +0800

=== debian/control ===
Source: ufo2ft
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-fonttools (>= 3.28.0) <!nocheck>,
               python3-ufolib (>= 2.1.1) <!nocheck>,
               python3-ufolib2 (>= 0.1.3) <!nocheck>,
               python3-defcon (>= 0.5.1) <!nocheck>,
               python3-cu2qu (>= 1.5.0) <!nocheck>,
               python3-compreffor (>= 0.4.6.post1) <!nocheck>,
               python3-booleanoperations (>= 0.8.0) <!nocheck>,
               python3-pyclipper (>= 1.1.0.post2) <!nocheck>,
Standards-Version: 4.1.5
Homepage: https://github.com/googlei18n/ufo2ft/releases
Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft

Package: python3-ufo2ft
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-fonttools (>= 3.28.0),
         python3-ufolib (>= 2.1.1),
         python3-defcon (>= 0.5.1),
         python3-cu2qu (>= 1.5.0),
         python3-compreffor (>= 0.4.6.post1-1),
         python3-booleanoperations (>= 0.8.0)
Description: Bridge from UFOs to fonttools objects
 python3-ufo2ft converts fonts from UFO, a common font source format, to
 fonttools Python objects, which can subsequently saved as OTF or TTF
 binaries.

## ufo2ft 2.6.0

=== requirements.txt ===
fonttools[lxml,ufo]==3.35.0
defcon==0.6.0
cu2qu==1.6.5
compreffor==0.4.6.post1
booleanOperations==0.8.2

# alternative UFO implementation (still experimental)
ufoLib2==0.2.1

=== debian/changelog ===
ufo2ft (2.6.0-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * New upstream version 2.6.0
  * debian/control:
    * Update dependencies
    * Bump Standards-Version to 4.3.0

  [ Jeremy Bicha ]
  * Remove nocheck qualifier from most Build-Depends

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Jan 2019 12:35:23 +0100

ufo2ft (2.5.0-2) unstable; urgency=medium

  * Use automatic dependencies

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Dec 2018 08:20:08 -0500

ufo2ft (2.5.0-1) unstable; urgency=medium

  [Jelmer Vernooĳ]
  * Use secure copyright file specification URI.

  [Yao Wei (魏銘廷)]
  * New upstream version 2.5.0
  * debian/control:
    - Update dependencies
    - Bump policy version to 4.2.1
    - Update maintainer address

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 31 Oct 2018 22:47:25 +0800

=== debian/control ===
Source: ufo2ft
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               python3-fonttools (>= 3.35.0),
               python3-ufolib2 (>= 0.2.1),
               python3-defcon (>= 0.6.0),
               python3-cu2qu (>= 1.6.5),
               python3-compreffor (>= 0.4.6.post1),
               python3-booleanoperations (>= 0.8.2),
Standards-Version: 4.3.0
Homepage: https://github.com/googlei18n/ufo2ft/releases
Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft
Testsuite: autopkgtest-pkg-python

Package: python3-ufo2ft
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Bridge from UFOs to fonttools objects
 python3-ufo2ft converts fonts from UFO, a common font source format, to
 fonttools Python objects, which can subsequently saved as OTF or TTF
 binaries.

## ufo2ft 2.9.1

=== requirements.txt ===
fonttools[lxml,ufo]==3.43.0
defcon==0.6.0
cu2qu==1.6.5
compreffor==0.4.6.post1
booleanOperations==0.8.2

# alternative UFO implementation (still experimental)
ufoLib2==0.3.2.post2; python_version >= '3.6'

=== debian/changelog ===
ufo2ft (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.0
  * debian/patches:
    - Update patch that disable skia-pathops related tests
    - Fix Variable Width test error related to newer fonttools

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:56:12 -0300

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 3.35.0),
-               python3-ufolib2 (>= 0.2.1),
+               python3-fonttools (>= 3.43.0),
+               python3-ufolib2 (>= 0.3.2),
                python3-defcon (>= 0.6.0),
                python3-cu2qu (>= 1.6.5),
                python3-compreffor (>= 0.4.6.post1),
                python3-booleanoperations (>= 0.8.2),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft

## ufo2ft 2.10.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-fonttools[lxml,ufo]==3.43.0
+fonttools[lxml,ufo]==3.44.0
 defcon==0.6.0
 cu2qu==1.6.5
 compreffor==0.4.6.post1

=== debian/changelog ===
ufo2ft (2.10.0-2) unstable; urgency=medium

  * debian/salsa-ci.yml: Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 17:23:03 +0800

ufo2ft (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.1
  * debian/patches: Remove patches
  * Bump debhelper compat to 12

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 13:04:39 +0800

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 3.43.0),
+               python3-fonttools (>= 3.44.0),
                python3-ufolib2 (>= 0.3.2),
                python3-defcon (>= 0.6.0),
                python3-cu2qu (>= 1.6.5),
                python3-compreffor (>= 0.4.6.post1),
                python3-booleanoperations (>= 0.8.2),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft

## ufo2ft 2.11.1

=== debian/changelog ===
ufo2ft (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1
  * debian/copyright: Add copyright information to the new test files
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Dec 2019 23:12:26 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 3.44.0),
-               python3-ufolib2 (>= 0.3.2),
+               python3-fonttools (>= 4.2.0),
+               python3-ufolib2 (>= 0.5.1),
                python3-defcon (>= 0.6.0),
-               python3-cu2qu (>= 1.6.5),
+               python3-cu2qu (>= 1.6.6),
                python3-compreffor (>= 0.4.6.post1),
-               python3-booleanoperations (>= 0.8.2),
+               python3-booleanoperations (>= 0.9.0),
 Standards-Version: 4.4.1
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git

## ufo2ft 2.12.2

=== requirements.txt ===
fonttools[lxml,ufo]==4.4.0
defcon==0.6.0
cu2qu==1.6.6
compreffor==0.4.6.post1
booleanOperations==0.9.0

# alternative UFO implementation
ufoLib2==0.5.1

=== debian/changelog ===
ufo2ft (2.12.2-1) unstable; urgency=medium

  * New upstream version 2.12.2
  * d/control: Update dependencies
  * d/control: Bump Standards-Version to 4.5.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 00:44:41 +0800

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 4.2.0),
+               python3-fonttools (>= 4.4.0),
                python3-ufolib2 (>= 0.5.1),
                python3-defcon (>= 0.6.0),
                python3-cu2qu (>= 1.6.6),
                python3-compreffor (>= 0.4.6.post1),
                python3-booleanoperations (>= 0.9.0),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,12 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm Lib/ufo2ft/_version.py
+
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
+	dh_auto_test
+endif

## ufo2ft 2.14.1

=== requirements.txt ===
fonttools[lxml,ufo]==4.11.0
defcon==0.6.0
cu2qu==1.6.7
compreffor==0.5.0
booleanOperations==0.9.0

# alternative UFO implementation
ufoLib2==0.7.1

=== debian/changelog ===
ufo2ft (2.14.1-1) unstable; urgency=medium

  * New upstream version 2.14.1
  * Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 29 May 2020 22:40:33 +0800

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 4.4.0),
-               python3-ufolib2 (>= 0.5.1),
+               python3-fonttools (>= 4.11.0),
+               python3-ufolib2 (>= 0.7.1),
                python3-defcon (>= 0.6.0),
-               python3-cu2qu (>= 1.6.6),
-               python3-compreffor (>= 0.4.6.post1),
+               python3-cu2qu (>= 1.6.7),
+               python3-compreffor (>= 0.5.0),
                python3-booleanoperations (>= 0.9.0),
 Standards-Version: 4.5.0
 Homepage: https://github.com/googlei18n/ufo2ft/releases

## ufo2ft 2.16.0

=== debian/changelog ===
ufo2ft (2.16.0-1) unstable; urgency=medium

  * New upstream version 2.16.0
  * debian/watch: Add upstream version mangle for alpha/beta versions
  * debian/control: Add dependency to python3-cffsubr
  * d/patches/fix-TransformationsFilterTest-test-error.patch:
    Patch out error message in the test case

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 25 Oct 2020 22:44:51 +0800

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-cu2qu (>= 1.6.7),
                python3-compreffor (>= 0.5.0),
                python3-booleanoperations (>= 0.9.0),
+               python3-cffsubr (>= 0.2.6),
 Standards-Version: 4.5.0
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git

## ufo2ft 2.18.1

=== debian/changelog ===
ufo2ft (2.18.1-1) unstable; urgency=medium

  * New upstream version 2.18.1
  * debian/control:
    - Bump Standards-Version to 4.5.1.  No changes needed.
    - Update dependencies.
  * d/patches: Remove upstreamed patch
  * Fixes tests about COLR/CPAL support (Closes: #975829)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 26 Nov 2020 21:42:53 +0800

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 4.11.0),
+               python3-fonttools (>= 4.17.1),
                python3-ufolib2 (>= 0.7.1),
-               python3-defcon (>= 0.6.0),
+               python3-defcon (>= 0.7.2),
                python3-cu2qu (>= 1.6.7),
                python3-compreffor (>= 0.5.0),
                python3-booleanoperations (>= 0.9.0),
-               python3-cffsubr (>= 0.2.6),
-Standards-Version: 4.5.0
+               python3-cffsubr (>= 0.2.7),
+Standards-Version: 4.5.1
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft

## ufo2ft 2.19.1

=== debian/changelog ===
ufo2ft (2.19.1-1) unstable; urgency=medium

  * New upstream version 2.19.1
  * debian/control: Use debhelper 13

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Dec 2020 22:35:56 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,

## ufo2ft 2.19.2

=== requirements.txt ===
fonttools[ufo,lxml]==4.17.1
defcon==0.7.2
cu2qu==1.6.7
compreffor==0.5.0
booleanOperations==0.9.0
cffsubr==0.2.7
skia-pathops==0.5.1.post1

# alternative UFO implementation
ufoLib2==0.7.1

=== debian/changelog ===
ufo2ft (2.19.2-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.19.2
  * debian/rules
    - Ignore errors in clean target
  * debian/patches
    - Refresh patches
    - Add Add-files-to-avoid-clean-target-failure.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 12 Feb 2021 14:45:33 +0900

ufo2ft (2.19.1-2) unstable; urgency=medium

  * Team upload

  * debian/control
    - Set Build-Depends: python3-fonttools (>= 4.19.1) and drop python3-cu2qu
  * debian/patches
    - Add cu2qu_moved_to_fonttools.patch for above change

 -- Hideki Yamane <henrich@debian.org>  Thu, 11 Feb 2021 14:49:37 +0900

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,9 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 4.17.1),
+               python3-fonttools (>= 4.19.1),
                python3-ufolib2 (>= 0.7.1),
                python3-defcon (>= 0.7.2),
-               python3-cu2qu (>= 1.6.7),
                python3-compreffor (>= 0.5.0),
                python3-booleanoperations (>= 0.9.0),
                python3-cffsubr (>= 0.2.7),

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(\d+)([a-z]\d+)/\.\1\~\2/" \
https://github.com/googlei18n/ufo2ft/releases \
	.*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## ufo2ft 2.24.0

=== requirements.txt ===
fonttools[lxml,ufo]==4.26.1
defcon==0.8.1
cu2qu==1.6.7
compreffor==0.5.1
booleanOperations==0.9.0
cffsubr==0.2.8
skia-pathops==0.6.0.post2

# alternative UFO implementation
ufoLib2==0.7.1

=== debian/changelog ===
ufo2ft (2.24.0-1) unstable; urgency=medium

  * New upstream version 2.24.0
  * debian/watch: Change GitHub archive URL
  * debian/control:
    - Update Build-Depends
    - Bump Standards-Version
  * debian/patches: Refresh patches

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 Aug 2021 15:19:33 +0800

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 4.19.1),
+               python3-fonttools (>= 4.26.1),
                python3-ufolib2 (>= 0.7.1),
-               python3-defcon (>= 0.7.2),
-               python3-compreffor (>= 0.5.0),
+               python3-defcon (>= 0.8.1),
+               python3-compreffor (>= 0.5.1),
                python3-booleanoperations (>= 0.9.0),
-               python3-cffsubr (>= 0.2.7),
-Standards-Version: 4.5.1
+               python3-cffsubr (>= 0.2.8),
+Standards-Version: 4.6.0
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(\d+)([a-z]\d+)/\.\1\~\2/" \
https://github.com/googlei18n/ufo2ft/releases \
	.*/archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@

## ufo2ft 2.28.0

=== requirements.txt ===
fonttools[lxml,ufo]==4.34.0
defcon==0.10.0
cu2qu==1.6.7.post1
compreffor==0.5.1.post1
booleanOperations==0.9.0
cffsubr==0.2.9.post1
skia-pathops==0.7.2

# alternative UFO implementation
ufoLib2==0.13.1

=== debian/changelog ===
ufo2ft (2.28.0-1) unstable; urgency=medium

  * New upstream version 2.28.0
  * debian/control: Update dependencies
  * debian/patches: Refresh patches
  * debian/control: Bump Standards-Version. No changes needed.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 09 Jul 2022 18:33:59 +0800

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 4.26.1),
-               python3-ufolib2 (>= 0.7.1),
-               python3-defcon (>= 0.8.1),
+               python3-fonttools (>= 4.34.0),
+               python3-ufolib2 (>= 0.13.1),
+               python3-defcon (>= 0.10.0),
                python3-compreffor (>= 0.5.1),
                python3-booleanoperations (>= 0.9.0),
-               python3-cffsubr (>= 0.2.8),
-Standards-Version: 4.6.0
+               python3-cffsubr (>= 0.2.9),
+Standards-Version: 4.6.1
 Homepage: https://github.com/googlei18n/ufo2ft/releases
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft

## ufo2ft 2.30.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-fonttools[lxml,ufo]==4.34.0
+fonttools[lxml,ufo]==4.38.0
 defcon==0.10.0
 cu2qu==1.6.7.post1
 compreffor==0.5.1.post1

=== debian/changelog ===
ufo2ft (2.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1028882)
  * debian/watch: Fix github monitoring.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 Jan 2023 10:04:50 -0500

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fonttools (>= 4.34.0),
+               python3-fonttools (>= 4.38.0),
                python3-ufolib2 (>= 0.13.1),
                python3-defcon (>= 0.10.0),
                python3-compreffor (>= 0.5.1),
                python3-booleanoperations (>= 0.9.0),
                python3-cffsubr (>= 0.2.9),
-Standards-Version: 4.6.1
-Homepage: https://github.com/googlei18n/ufo2ft/releases
+Standards-Version: 4.6.2
+Homepage: https://github.com/googlei18n/ufo2ft/
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ufo2ft

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean
	-rm Lib/ufo2ft/_version.py

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

## ufo2ft 3.3.1

=== requirements.txt ===
fonttools[lxml,ufo]==4.54.1
defcon==0.10.3
compreffor==0.5.5
booleanOperations==0.9.0
cffsubr==0.3.0
skia-pathops==0.8.0.post1
fontMath==0.9.4

# alternative UFO implementation
ufoLib2==0.16.0

=== debian/changelog ===
ufo2ft (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Tighten version requirement for ufolib2.
  * debian/control: Let binary package breaks python3-glyphslib (<< 6.9.2)
    for autopkgtest compatibility.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Oct 2024 09:27:37 -0400

ufo2ft (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Oct 2024 09:11:28 -0400

ufo2ft (3.3.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to Debian Experimental for now due to failed tests.
  * debian/control: Bump build-dependency requirement.
  * debian/patches/cu2qu_moved_to_fonttools.patch: Dropped, not needed.
  * debian/patches/disable-pathops-test.patch: Refresh the patch.
  * debian/control: Add new (build-)dep: python3-fontmath, python3-syrupy.
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Oct 2024 20:27:40 -0400

=== debian/control ===
Source: ufo2ft
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               python3-fontmath,
               python3-fonttools (>= 4.50.0),
               python3-ufolib2 (>= 0.16.0),
               python3-defcon (>= 0.10.0),
               python3-syrupy <!nocheck>,
               python3-compreffor (>= 0.5.5),
               python3-booleanoperations (>= 0.9.0),
               python3-cffsubr (>= 0.2.9),
Standards-Version: 4.7.0
Homepage: https://github.com/googlei18n/ufo2ft/
Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft
Testsuite: autopkgtest-pkg-python
Description: Bridge from UFOs to fonttools objects
 python3-ufo2ft converts fonts from UFO, a common font source format, to
 fonttools Python objects, which can subsequently saved as OTF or TTF
 binaries.

Package: python3-ufo2ft
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
Breaks:
 python3-glyphslib (<< 6.9.2),
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ufo2ft

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean
	-rm Lib/ufo2ft/_version.py

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	# For experimental build, allow failures
	-dh_auto_test
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/googlei18n/ufo2ft/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ufo2ft 3.7.0

=== requirements.txt ===
fonttools[ufo,lxml]==4.61.1
defcon==0.12.2
compreffor==0.5.6
booleanOperations==0.9.0
cffsubr==0.3.0
skia-pathops==0.9.1
fontMath==0.9.4

# alternative UFO implementation
ufoLib2==0.18.1

=== debian/changelog ===
ufo2ft (3.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Tighten version requirement.
  * debian/control: Migrate to build with pyproject.toml.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jan 2026 10:48:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: ufo2ft
 Section: fonts
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
-               python3-fontmath,
-               python3-fonttools (>= 4.50.0),
+               python3-fontmath (>= 0.9.4),
+               python3-fonttools (>= 4.61.1),
                python3-ufolib2 (>= 0.16.0),
                python3-defcon (>= 0.10.0),
                python3-syrupy <!nocheck>,
-               python3-compreffor (>= 0.5.5),
+               python3-compreffor (>= 0.5.6),
                python3-booleanoperations (>= 0.9.0),
-               python3-cffsubr (>= 0.2.9),
-Standards-Version: 4.7.0
-Homepage: https://github.com/googlei18n/ufo2ft/
+               python3-cffsubr (>= 0.3.0),
+Standards-Version: 4.7.3
+Homepage: https://github.com/googlefonts/ufo2ft/
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo2ft.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo2ft
 Testsuite: autopkgtest-pkg-python
